<?php
/**
 * Blogger Base: Block Patterns
 *
 * @package Blogger Base
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'blogger-base',
		array( 'label' => __( 'Blogger Base', 'blogger-base' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'blogger-base/banner-section',
		array(
			'title'      => __( 'Banner Section', 'blogger-base' ),
			'categories' => array( 'blogger-base' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . get_theme_file_uri() . "/block-patterns/images/banner.png\",\"id\":329,\"dimRatio\":20,\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-329\" alt=\"\" src=\"" . get_theme_file_uri() . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"fontSize\":\"large\"} -->\n<p class=\"has-text-align-center has-large-font-size\"></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'blogger-base/our-blog-category-section',
		array(
			'title'      => __( 'Our Blog Category Section', 'blogger-base' ),
			'categories' => array( 'blogger-base' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#d6ddd6\"}},\"className\":\"mx-md-5 mx-2 pt-md-4 pt-3 post-section\"} -->\n<div class=\"wp-block-group alignfull mx-md-5 mx-2 pt-md-4 pt-3 post-section has-background\" style=\"background-color:#d6ddd6\"><!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"80%\",\"className\":\"recent-post-section\"} -->\n<div class=\"wp-block-column recent-post-section\" style=\"flex-basis:80%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"color\":{\"background\":\"#264826\"},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"white\",\"className\":\"p-md-3 p-2\",\"fontSize\":\"medium\"} -->\n<h1 class=\"has-text-align-center p-md-3 p-2 has-white-color has-text-color has-background has-medium-font-size\" style=\"background-color:#264826;text-transform:uppercase\">recent post</h1>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"recent-post-three-col\"} -->\n<div class=\"wp-block-columns recent-post-three-col\"><!-- wp:column {\"backgroundColor\":\"white\"} -->\n<div class=\"wp-block-column has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":480,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/Our-Blog-Category-Section1.png\" alt=\"\" class=\"wp-image-480\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#264826\"}},\"className\":\"mx-md-1 mx-1 mb-md-0 mb-0\"} -->\n<h2 class=\"has-text-align-center mx-md-1 mx-1 mb-md-0 mb-0 has-text-color\" style=\"color:#264826;font-size:16px;text-transform:uppercase\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#707070\"}},\"className\":\"mx-md-2 mx-2 pt-md-3\"} -->\n<p class=\"has-text-align-center mx-md-2 mx-2 pt-md-3 has-text-color\" style=\"color:#707070;font-size:14px\">&nbsp;Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"4px\"},\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"background\":\"#264826\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:4px;background-color:#264826\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\",\"className\":\"py-md-0 py-3\"} -->\n<div class=\"wp-block-column py-md-0 py-3 has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":481,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/Our-Blog-Category-Section2.png\" alt=\"\" class=\"wp-image-481\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#264826\"}},\"className\":\"mx-md-1 mx-1 mb-md-0 mb-0\"} -->\n<h2 class=\"has-text-align-center mx-md-1 mx-1 mb-md-0 mb-0 has-text-color\" style=\"color:#264826;font-size:16px;text-transform:uppercase\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#707070\"}},\"className\":\"mx-md-2 mx-2 pt-md-3\"} -->\n<p class=\"has-text-align-center mx-md-2 mx-2 pt-md-3 has-text-color\" style=\"color:#707070;font-size:14px\">&nbsp;Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"4px\"},\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"background\":\"#264826\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:4px;background-color:#264826\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"backgroundColor\":\"white\"} -->\n<div class=\"wp-block-column has-white-background-color has-background\"><!-- wp:image {\"align\":\"center\",\"id\":482,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full mb-md-0 mb-0\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/Our-Blog-Category-Section3.png\" alt=\"\" class=\"wp-image-482\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#264826\"}},\"className\":\"mx-md-1 mx-1 mb-md-0 mb-0\"} -->\n<h2 class=\"has-text-align-center mx-md-1 mx-1 mb-md-0 mb-0 has-text-color\" style=\"color:#264826;font-size:16px;text-transform:uppercase\">Lorem Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#707070\"}},\"className\":\"mx-md-2 mx-2 pt-md-3\"} -->\n<p class=\"has-text-align-center mx-md-2 mx-2 pt-md-3 has-text-color\" style=\"color:#707070;font-size:14px\">&nbsp;Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"4px\"},\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"background\":\"#264826\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-white-color has-text-color has-background\" style=\"border-radius:4px;background-color:#264826\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"post-section-text\"} -->\n<div class=\"wp-block-columns post-section-text\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#707070\"}},\"backgroundColor\":\"white\",\"className\":\"mb-md-2 mb-1\"} -->\n<p class=\"mb-md-2 mb-1 has-white-background-color has-text-color has-background\" style=\"color:#707070;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"20%\",\"className\":\"about-me-section\"} -->\n<div class=\"wp-block-column about-me-section\" style=\"flex-basis:20%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"textTransform\":\"uppercase\"},\"color\":{\"background\":\"#264826\"}},\"textColor\":\"white\",\"className\":\"p-md-3 p-2\",\"fontSize\":\"medium\"} -->\n<h1 class=\"has-text-align-center p-md-3 p-2 has-white-color has-text-color has-background has-medium-font-size\" style=\"background-color:#264826;text-transform:uppercase\">about me</h1>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"backgroundColor\":\"white\"} -->\n<div class=\"wp-block-column has-white-background-color has-background\"><!-- wp:image {\"id\":483,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/Our-Blog-Category-Section4.png\" alt=\"\" class=\"wp-image-483\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\"},\"color\":{\"text\":\"#264826\"}},\"className\":\"mx-md-1 mx-1 mb-md-0 mb-0\"} -->\n<h2 class=\"has-text-align-center mx-md-1 mx-1 mb-md-0 mb-0 has-text-color\" style=\"color:#264826;font-size:16px;text-transform:uppercase\">Ipsum&nbsp;is simply dummy text</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#707070\"}},\"className\":\"mx-md-2 mx-2 pt-md-3\"} -->\n<p class=\"has-text-align-center mx-md-2 mx-2 pt-md-3 has-text-color\" style=\"color:#707070;font-size:14px\">Ever since the 1500s, Lorem Ipsum has been the industry's standard dummy text. Ever since, Lorem Ipsum has been the industry's standard dummy text ever since. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"verticalAlignment\":\"center\",\"backgroundColor\":\"white\",\"className\":\"social-icon\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center social-icon has-white-background-color has-background\"><!-- wp:social-links {\"customIconColor\":\"#264826\",\"iconColorValue\":\"#264826\",\"iconBackgroundColorValue\":\"#ffffff\",\"className\":\"is-style-default\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color is-style-default\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\",\"className\":\"social-icon-icon\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\",\"className\":\"social-icon-icon\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"linkedin\",\"className\":\"social-icon-icon\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"pinterest\",\"className\":\"social-icon-icon\"} /--></ul>\n<!-- /wp:social-links -->\n\n<!-- wp:social-links {\"customIconColor\":\"#264826\",\"iconColorValue\":\"#264826\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-icon-color has-icon-background-color\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"google\",\"className\":\"social-icon-icon\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\",\"className\":\"social-icon-icon\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"feed\",\"className\":\"social-icon-icon\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"youtube\",\"className\":\"social-icon-icon\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}